<%@ page contentType="text/html; charset=GBK" %>
<%@ page import = "zr.zrpower.common.util.SysPreperty" %>
<%@ page import = "zr.zrpower.entity.sys.SessionUser" %>
<%@ page import = "zr.zrpower.ejb.sys.UIService" %>
<%@ page import="zr.zrpower.dbmanage.service.TableService"%>
<%@ page import="zr.zrpower.dbmanage.*"%>

<%@ page import = "zr.zrpower.common.util.DateWork" %>
<%@ page import = "java.lang.Object"%>
<HTML>
<%
SessionUser user = (SessionUser)session.getAttribute("userinfo");
UIService userUI =new UIService();
DateWork dw=new DateWork();
BPIP_TABLE[] TC = null;
String TABLEID1 = null;
TableService Table = new TableService();

String strPageMenu="&nbsp;",strPage="1",strAll="" ,strFileUrl="",strok="";
int intRowCur=0,intRowCount=0,showcurRow=0,intPage=1,intPageSize;
int intstart=0,intend=0;
intPageSize = 1000;

if(request.getParameter("page") != null)
{
  strPage = "1";
}
if(request.getParameter("all") == null)
{
  strAll = "yes";
}
%>
<HTML>
<HEAD>
<TITLE></TITLE>
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META http-equiv="Content-Type" content="text/html; charset=GBK">
<LINK type="text/css" rel="stylesheet" href="../../zrsysmanage/css/<%=user.getUserCSS()%>">
<SCRIPT LANGUAGE="JavaScript" src="../../zrsysmanage/script/Public.js"></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" >
var intLength=0;
function do_Function(TdObj,FileUrl){

  parent.UDictList.location.href = 'UDictList.jsp?TABLEID='+FileUrl;

}

</SCRIPT>

</HEAD>
<BODY  class="BodyMain">
<FORM method="post" name="recordfrm" action="">
<input type="hidden" name="setall" value="0">


  <DIV id="divMessage" style='padding-left:0;padding-top:0;width:100%;height:100%;overflow:auto'>
   <%if("6".equals(user.getUserWINDOWTYPE())){ %>
       <br/>

   <%}else{ %>
   <TABLE width="100%" id="FileMenu">
   <%} %>

       <%
              //得到查询的记录集
           TABLEID1 = Table.GetMinTABLEID1();
              TC = Table.GetBpipTableList1();
             String strFocus="";
              if (strPage==null)
              {intPage =1;}
              else
              {
                intPage = Integer.parseInt(strPage);
              }
              if (TC != null)
              {//有记录
              //记录集的长度
              intRowCount = TC.length;
            }
              if (strAll != null){
                 if (strAll.equals("yes")){
                 //不翻页时每页显示的记录数为总记录数
                 intPageSize = intRowCount;
              }}
              else{strAll="no";}

              //生在实现翻页的html[每页的记录数，执行页面，总记录数，当前页,是否分页显示]
              strPageMenu=userUI.CreatePageMenu(intPageSize,"UDictMeun.jsp?",intRowCount,intPage,strAll);
              //计算开始记录和结束记录
              intstart=intPage*intPageSize-intPageSize;
              intend=intPage*intPageSize;
              if (intRowCount<intend)
              {intend=intRowCount;}
              //当前页显示的记录数
              intRowCur=intend - intstart;
              showcurRow=0;
              for (int i = intstart; i < intend; i++) {
                  BPIP_TABLE file =TC[i];
                   showcurRow=showcurRow+1;
                    if (file.getTABLEID().equals(TABLEID1)) {
                      strFocus = "ID='CatalogFocus'";
                    }else{
                      strFocus = "";
                    }

                   %>
   <%if("6".equals(user.getUserWINDOWTYPE())){ %>
       <a style="width: 158px;margin-left: 3px" href="javascript:do_Function(this,'<%=file.getTABLEID()%>')" class="btn1 btn-medium btn-blue btn-radius"><%=file.getCHINESENAME()%></a>

   <%}else{ %>
       <TR>
          <TD <%=strFocus%> class="Window_TbB"> <a href="javascript:do_Function(this,'<%=file.getTABLEID()%>')" title="<%=file.getCHINESENAME()%>"><%=file.getCHINESENAME()%></a> </TD>
       </TR>
   <%} %>

              <%}%>

     <%if("6".equals(user.getUserWINDOWTYPE())){ %>
        <br>

   <%}else{ %>
       </TABLE>
   <%} %>

             </DIV>

</FORM>
</BODY>
</HTML>
<%
//清空相关对象
user = null;
userUI = null;
TC = null;
Table = null;
%>
